package strsets; 

/**
 * Interfaccia per un insieme di stringhe modificabile:
 * si possono aggiungere e togliere elementi dall'insieme.
 * Estende StrSet
 */
public interface ModifiableStrSet extends StrSet {
    /**
     * Aggiunge una stringa all'insieme (se non gia' presente)
     * Se la stringa e' gia' presente, lascia l'insieme immutato.
     * 
     * @param s     la stringa
     * @return      true se la stringa non e' contenuta ed e' stata aggiunta
     *              correttamente, false altrimenti
     */ 
    boolean add(String s);

    /**
     * Rimunove una stringa dall'insieme (se presente)
     * 
     * @param s     la stringa
     * @return      true se la stringa e' contenuta ed e' stata rimossa
     *              correttamente, false altrimenti
     */
    boolean remove(String s);
}