package strsets;

import java.io.File;
import java.io.FileNotFoundException;

/**
 * Dizionario di parole ordinato
 * Implementa SortedStrSet ed estende Dictionary
 */
public class SortedDictionary extends Dictionary implements SortedStrSet {
    /**
     * Costruisce una nuova istanza
     * Assume che il file esista e contenga le parole gia' ordinate
     * 
     * @param file          il file del dizionario 
     * @return              il dizionario vuoto
     */
    public SortedDictionary(File file) throws FileNotFoundException {
        super(file);
    }

    /**
     * Ritorna la k-esima stringa dell'insieme ordinato.
     * (implementazione di un metodo dell'interfaccia)
     * 
     * @param k     la posizione della stringa
     * @return      La stringa nella k-esima posizione.
     *              Se k < 0 oppure k > size - 1 ritorna null.
     */
    public String getKth(int k) {
        if (k < 0 || k > size() - 1)
            return null;
        try {   // non puo' usare la dichiarazione throws perche'
                // questa non e' prevista dall'interfaccia
            rewind();
        } catch (FileNotFoundException ex) {
            return null;
        }
        for ( ; k > 0 ; k--) next();
        return next();
    }
}